Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 245301 - Please stabilise dev-cpp/libxmlpp-1.0.5
Summary: Please stabilise dev-cpp/libxmlpp-1.0.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: GNOME C++ Bindings Maintainers (OBSOLETE)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-11-02 18:37 UTC by Christian Faulhammer (RETIRED)
Modified: 2009-02-26 14:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-02 18:37:35 UTC
This is for GCC 4.3 stabilisation.  Please add arches as you see fit. Thanks.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-27 22:40:03 UTC
(gnome-mm) compnerd, dang, leio, remi <- ping, I know 3/4 are active ;)
Comment 2 Rémi Cardona gentoo-dev 2009-01-28 10:54:15 UTC
Hi arches, please do your magic :)

target arches : alpha amd64 hppa ppc ppc64 sparc x86

Cheers
Comment 3 Markus Meier gentoo-dev 2009-01-30 20:17:47 UTC
!!! dosed: /var/tmp/portage/dev-cpp/libxmlpp-1.0.5/image/usr/lib/pkgconfig/libxml++-0.pc does not exist
>>> Completed installing libxmlpp-1.0.5 into /var/tmp/portage/dev-cpp/libxmlpp-1.0.5/image/

looks like "/usr/$(get_libdir)/pkgconfig/${MY_PN}-${SLOT}.pc" ${SLOT} is 0 but should be 1.
Comment 4 Tobias Klausmann gentoo-dev 2009-01-31 16:03:27 UTC
I see the same error as maekke. Please fix.
Comment 5 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-01-31 21:08:46 UTC
You're right, it should probably be slot 1.0; however, there are packages with slot deps on it, so I just changed it to hard code 1.0 in the ebuild.  Fixed in CVS.
Comment 6 Markus Meier gentoo-dev 2009-02-01 21:04:30 UTC
amd64/x86 stable
Comment 7 Jeroen Roovers gentoo-dev 2009-02-06 04:35:57 UTC
Stable for HPPA.
Comment 8 Tiago Cunha (RETIRED) gentoo-dev 2009-02-22 22:25:04 UTC
sparc stable
Comment 9 Joe Jezak (RETIRED) gentoo-dev 2009-02-26 14:57:37 UTC
Marked ppc stable, ppc64 unstable (since our keyword was dropped and the last slot 1 version only had ~ppc64 keywords). Closing since we're the last arches.